public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Frysinger" <vapier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/gsutil/files/, net-misc/gsutil/
Date: Sun, 30 Aug 2015 06:18:55 +0000 (UTC)	[thread overview]
Message-ID: <1440915495.acbb4383293c3e6ec682d5f8bf72808cd5ced9d0.vapier@gentoo> (raw)

commit:     acbb4383293c3e6ec682d5f8bf72808cd5ced9d0
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 30 06:18:15 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Sun Aug 30 06:18:15 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=acbb4383

net-misc/gsutil: version bump to 4.14

 net-misc/gsutil/Manifest                           |  1 +
 .../gsutil-4.14-use-friendy-version-checks.patch   | 24 +++++++++++
 net-misc/gsutil/gsutil-4.14.ebuild                 | 46 ++++++++++++++++++++++
 3 files changed, 71 insertions(+)

diff --git a/net-misc/gsutil/Manifest b/net-misc/gsutil/Manifest
index a0f84c8..ff1cac9 100644
--- a/net-misc/gsutil/Manifest
+++ b/net-misc/gsutil/Manifest
@@ -1,2 +1,3 @@
 DIST gsutil_3.42.tar.gz 1878904 SHA256 50fc7acb7d1db8752f3eee106a3d8d65188107943e7cb30cfd3f94a9cfcdcf37 SHA512 084aaf43a44528af0cdfd9bd22beeb5d6abff240c09843cf35016d685d51b854ed5b2837eaa50c97bb44d5e1a3cdccbae6688ef27aa13f2a5db6040bf501b381 WHIRLPOOL 5b0d0fb1d2446a7b8777f368f073fdb4f7ad2d6407735976c178a2727a2548bf28522e06469dd0b7df1578d5586bc152fba3520b66f88d706417947aa3aa5578
 DIST gsutil_4.13.tar.gz 2790817 SHA256 f6fa8a77ff0475ba4898b2a4453ed3ead551499485000420f12bc4f7cfbcc09e SHA512 b146c8ce6fba09b07a752842d1ca3f83c74250553a4dae50ce32bf8ece2ded366e1b60d5c0af3727e2f5ed8d0766c9345bbf1056c3af571a26d2ed76187b57c9 WHIRLPOOL 5a989c51a9e550523713dc658255036a044f0e88dfd3869ca362d573bae6ff83004bb3249674b15fe6082b666d3c598a6f133c9b2e3c7e373a20f5db54b6d361
+DIST gsutil_4.14.tar.gz 2824826 SHA256 225d0a58c0a5ee98830efc7d5524ec4d4779304c08c80ecb608d83d9b209b4cb SHA512 a74993406786fe33b17539f62e0384084b692793746bb78b17fbca8b6a3ff840ab6d500cd4b0911f1cf176b3629ffc7f879dd056d0324e601c3a4dc499a9dedd WHIRLPOOL bd7e85887f343b96535cc4f33ddf26b847bc4275de25644582123c444fb6748cf78b67c614eec94faf38c3aa474a3ba362579e6190566bfd7b63919191658d46

diff --git a/net-misc/gsutil/files/gsutil-4.14-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.14-use-friendy-version-checks.patch
new file mode 100644
index 0000000..2ca1c81
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-4.14-use-friendy-version-checks.patch
@@ -0,0 +1,24 @@
+--- a/setup.py
++++ b/setup.py
+@@ -35,10 +35,10 @@
+ """
+ 
+ requires = [
+-    'boto==2.38.0',
++    'boto>=2.38.0',
+     'crcmod>=1.7',
+     'gcs-oauth2-boto-plugin>=1.9',
+-    'google-apitools==0.4.9',
++    'google-apitools>=0.4.9',
+     'httplib2>=0.8',
+     'oauth2client>=1.4.11',
+     'protorpc>=0.10.0',
+@@ -48,7 +48,7 @@
+     'six>=1.8.0',
+     # Not using 1.02 because of:
+     #   https://code.google.com/p/socksipy-branch/issues/detail?id=3
+-    'SocksiPy-branch==1.01',
++    'SocksiPy-branch>=1.01',
+ ]
+ 
+ dependency_links = [

diff --git a/net-misc/gsutil/gsutil-4.14.ebuild b/net-misc/gsutil/gsutil-4.14.ebuild
new file mode 100644
index 0000000..e47100c
--- /dev/null
+++ b/net-misc/gsutil/gsutil-4.14.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="command line tool for interacting with cloud storage services"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil"
+SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+	>=dev-python/boto-2.38.0[${PYTHON_USEDEP}]
+	>=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
+	>=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
+	>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+	>=dev-python/gcs-oauth2-boto-plugin-1.9[${PYTHON_USEDEP}]
+	>=dev-python/google-apitools-0.4.9[${PYTHON_USEDEP}]
+	>=dev-python/oauth2client-1.4.11[${PYTHON_USEDEP}]
+	>=dev-python/protorpc-0.10.0[${PYTHON_USEDEP}]
+	>=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
+	>=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/socksipy-1.01[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S=${WORKDIR}/${PN}
+
+DOCS=( README.md CHANGES.md )
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.14-use-friendy-version-checks.patch
+)
+
+python_test() {
+	export BOTO_CONFIG=${FILESDIR}/dummy.boto
+	${PYTHON} gslib/__main__.py test -u || die "tests failed"
+}


             reply	other threads:[~2015-08-30  6:19 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-30  6:18 Mike Frysinger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-08-30  6:18 [gentoo-commits] repo/gentoo:master commit in: net-misc/gsutil/files/, net-misc/gsutil/ Mike Frysinger
2016-03-28 19:11 Mike Frysinger
2016-08-13 18:40 Mike Frysinger
2017-09-05  4:34 Jason Zaman
2018-01-02 11:08 Mike Frysinger
2019-07-17  3:35 Patrick McLean
2020-05-07 19:08 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1440915495.acbb4383293c3e6ec682d5f8bf72808cd5ced9d0.vapier@gentoo \
    --to=vapier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox